# Uses of Interface
org.h2gis.functions.io.shp.internal.ShapeHandler

Packages that use ShapeHandler
Package
Description
org.h2gis.functions.io.shp.internal

## Uses of ShapeHandler in org.h2gis.functions.io.shp.internal

Classes in org.h2gis.functions.io.shp.internal that implement ShapeHandler
Modifier and Type
Class
Description
`class`
`MultiLineHandler`
The default JTS handler for shapefile.
`class`
`MultiPointHandler`
`class`
`PointHandler`
Wrapper for a Shapefile point.
`class`
`PolygonHandler`
Wrapper for a Shapefile polygon.
Methods in org.h2gis.functions.io.shp.internal that return ShapeHandler
Modifier and Type
Method
Description
`ShapeHandler`
ShapeType.`getShapeHandler()`
Each ShapeType corresponds to a handler.
Methods in org.h2gis.functions.io.shp.internal with parameters of type ShapeHandler
Modifier and Type
Method
Description
`void`
ShapefileReader.`setHandler(ShapeHandler handler)`